html,body {
    width: 100%;
    height: 100%;
    clip: auto;
    position: absolute;
    overflow: hidden;
  }

body {
    overflow-y: scroll;
    overflow-x: hidden;
    padding: 0px;
    margin: 0px;
    font-family: 'konkhmer'
}

.goback {
    color: white;
    position:absolute;
    top: 3vh;
    left: 3vw;
    background-color: #d9d9d93b;
    border-radius: 9px;
    padding: 5px;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    text-decoration: none;
}
  
.goback:hover {
    background-color: rgba(109, 247, 194, 0.375);
}
  

@font-face {
    font-family: 'konkhmer';
    src: url(../fonts/konkhmer-sleokchher-khmer-400-normal.ttf);
}

.top {
    padding-left: 80px;
    padding-top: 15px;
    padding-bottom: 15px;
    margin:0px;
    background: #393457FF;
    height:95vh;
    width:100vw;
}

.left-side {
    float: left;
    width: 60%;
    padding-left: 20px;
}

h2 {
    color: #C92464FF;
    font-family: 'konkhmer';
    font-size: 14vh;
    margin: 0px;
}

h4 {
    color: white;
    font-family: 'konkhmer';
    font-size: 7vh;
    margin: 0px;
    margin-left: 20px;
}

.right-side {
    display:flex;
    float:left;
    width: 30%;
    height: 100%;
}

.turntable {
    background-color: #11ADC1FF;
    height: 65vh;
    aspect-ratio: 3/2;
    border-radius: 45px;
    padding: 15px;
    padding-left: 30px;
    margin-right: 30px;
    margin-left: 30px;
    filter: drop-shadow(6px 6px 10px #1F1B31FF);
}

.turntable-disc {
    display: flex;
    float:left;
    background: rgb(31,27,49);
    background: linear-gradient(45deg, rgba(31,27,49,1) 0%, rgba(74,81,102,1) 50%, rgba(31,27,49,1) 100%);
    border-radius: 50%;
    width: 60vh;
    aspect-ratio: 1/1;
    margin: 10px;
    justify-content: space-around;
    align-items: center;
    -webkit-animation:spin 4s linear infinite;
    -moz-animation:spin 4s linear infinite;
    animation:spin 4s linear infinite;
}

@-moz-keyframes spin { 
    100% { -moz-transform: rotate(360deg); } 
    }
    @-webkit-keyframes spin { 
    100% { -webkit-transform: rotate(360deg); } 
    }
    @keyframes spin { 
    100% { 
        -webkit-transform: rotate(360deg); 
        transform:rotate(360deg); 
    } 
}

.turntable-disc-label {
    display: flex;
    background-color: #D9D9D9;
    border-radius: 50%;
    width: 30vh;
    aspect-ratio: 1/1;
    margin: 10px;
    justify-content: space-around;
    align-items: center;
}

.turntable-disc-hole {
    background-color: #1F1B31FF;
    border-radius: 50%;
    width: 5vh;
    aspect-ratio: 1/1;
    margin: 10px;
}

.turntable-needle {
    position:absolute;
    height: 200px;
    width: auto;
    z-index: 2;
    top: 8vh;
    left: 24vw;
}

.turntable-buttons {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    padding:15px;
    height: 90%;
    position: relative;
    float:right;
    filter: drop-shadow(2px 2px 3px #1F1B31FF);
}

.button {
    border-radius: 50%;
    height: 12vh;
    aspect-ratio: 1/1;
    background-color: #CB4D68FF;
}

.album-cover {
    aspect-ratio: 1/1;
    height: 40vh;
    border-radius: 20px;
    background-color: #F99252FF;
    margin: 20px;
    filter: drop-shadow(4px 4px 6px #1F1B31FF);
}

.overlay {
    display: none;
    width:100%;
    height:100%;
    position:absolute;
    backdrop-filter: blur(7px) grayscale(100%);
    border-radius:20px;
    text-align: center;
    align-items: center;
}

.album-title {
    font-family: 'konkhmer';
    color: #F99252FF;
    filter: none;
    font-size: 1.5em;
    margin-bottom: 5px;
    filter: drop-shadow(6px 6px 10px #1F1B31FF);
}

i {
    color: #F99252FF;
    margin-top: 0px;
}


.album-cover:hover > .overlay{
    display: block;
}

.gallery {
    background: #C92464FF;
    width: fit-content;
    min-height: fit-content;
    padding: 50px;
    padding-left: 10px;
}

.albums {
    display:flex;
    flex-direction: row;
    width: 100vw;
    min-height: fit-content;
    margin: 0px;
    overflow-x: scroll;
}

.listen-button {
    /*background: rgba(249, 146, 82, 0.497);*/
    width: fit-content;
    margin: auto;
    border: #CB4D68FF solid 2px;
    padding: 5px;
    color: #CB4D68FF;
    border-radius: 10px;
    margin-top: 1em;
    display: inline-block;
    text-decoration:none;
    filter: drop-shadow(6px 6px 10px #1F1B31FF);
}

.listen-button:hover {
    background: rgba(255, 255, 255, 0.337);
}

.album-player {
    display:flex;
    justify-content: center;
    align-content: center;
    flex-direction: column;
    width: 30vw;
    height: 70vh;
    padding: 10px;
    background: #F99252FF;
    border-radius: 20px;
    margin: auto;
    filter: drop-shadow(6px 6px 10px #1F1B31FF);
}

.player {
    display: none;
}

#PlaceHolder {
    margin:10px;
    padding: 20px;
    color: white;
}

.highlight {
    background: #1E8875FF;
}
